include:
  - project: 'gitlab-ci-utils/gitlab-ci-templates'
    ref: 38.0.0
    file:
      - '/collections/Go-Base.gitlab-ci.yml'
    rules:
      - if: $CI_PIPELINE_SOURCE != 'pipeline'
  - project: 'gitlab-ci-utils/gitlab-ci-templates'
    ref: $CI_TEMPLATES_REF
    file:
      - '/collections/Go-Base.gitlab-ci.yml'
    rules:
      - if: $CI_PIPELINE_SOURCE == 'pipeline'
  - local: 'trigger.gitlab-ci.yml'
    rules:
      - if: $CI_PIPELINE_SOURCE == 'pipeline'

variables:
  GO_BUILD_CURRENT: 'true'

prepare_release:
  variables:
    RELEASE:
      value: '{"defaults":{"name":"$$CHANGELOG","description":"$$CHANGELOG","milestones":["${CI_COMMIT_TAG}"]}}'

create_release:
  needs:
    - prepare_release
    - go_deploy
